FBLABEL
1
BRL-CAD
BRL-CAD

# fblabel

display a text string on a framebuffer

      fblabel
        -dca
        -F framebuffer
        -f fontname
        -{sS} squaresize/b
        -{wW} width/b
        -{nN} height/b
        -C r/g/b
        x_position
        y_position
        text_string

## DESCRIPTION

Fblabel writes a text string to the image on the currently selected framebuffer. The text string will be filtered to the image currently displayed. Use fbpoint 1 to determine where to position the text string. The lower left corner of the text string starts displaying at the x and y position given. The environment variable FB_FILE specifies the current framebuffer, see brlcad 1. Alternatively, the framebuffer may be explicitly specified by using the `-F` flag.

By default, the requested framebuffer size is assumed to be 512x512 pixels..

The `-d` flag is for debugging.

The `-c` flag causes the screen to be cleared before the text string is displayed. The default behavior is to label the current image without clearing the screen.

The `-a` The flag causes the text not to be filtered against the frame buffer image.

The `-C r/g/b` specifies red, green, and blue rgb values [0..255] for the text. The default color is white.

The `-f fontname` flag will change the current default font from nonie.r.12 to "/usr/lib/vfont/fontname".

The `-S` flag sets the width and the height to the same value; the `-W` and `-N` flags set them individually..

## FONTS

Fblabel expects the Berkeley fonts in the directory /usr/lib/vfont. The fonts are expected to be in Vax byte order, even if that is not the natural byte order of the machine, to avoid having to create a font converter.

## EXAMPLE

fblabel -f "oldenglish.14" `fbpoint -h` "Hello"

## SEE ALSO

brlcad 1, fbed 1, fbpoint 1, libfb 3, pix 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.